Spis treści

# Uruchamianie oprogramowania LibreOffice z parametrami

Programy pakietu LibreOffice można uruchamiać z podaniem różnych parametrów mających wpływ na działanie tych programów. Korzystanie z parametrów wiersza poleceń zaleca się tylko doświadczonym użytkownikom.

W zwykłej pracy korzystanie z parametrów wiersza poleceń nie jest konieczne. Niektóre parametry wymagają dokładnej znajomości aspektów technicznych oprogramowania LibreOffice.

## Uruchamianie programów pakietu LibreOffice z wiersza poleceń

1. Wyszukaj Uruchom w menu Start systemu Windows.

2. Wpisz następujący tekst w polu tekstowym Otwórz i kliknij OK.

3. "{install}\program\soffice.com" {parameter}

   Zastąp {install} ścieżką do instalacji oprogramowania LibreOffice (na przykład C:\Program Files\LibreOffice). Użyj soffice.exe zamiast soffice.com, jeśli nie potrzebujesz konsoli (np. nie używasz interfejsu wiersza poleceń do operacji bezobsługowych).

1. Otwórz powłokę na platformach Linux, *BSD lub macOS.

2. Wpisz następujący wiersz tekstu, a następnie naciśnij Return:

   {install}/program/soffice {parameter}

   Zastąp {install} ścieżką do instalacji oprogramowania LibreOffice (na przykład /opt/LibreOffice w systemie UNIX)

LibreOffice wymaga dostępu do zapisu w katalogu profilu użytkownika.

## Obsługiwane parametry wiersza poleceń

### Korzystanie bez specjalnych argumentów

Korzystanie bez żadnych argumentów otwiera Centrum startowe.

{file} | Próbuje otworzyć pliki w odpowiednich dla nich komponentach.
{file} macro://./[Library.Module.MacroName] | Otwiera plik i stosuje określone makra z pliku.

### Uzyskiwanie pomocy i informacji

Parameter | Znaczenie
--- | ---
--help / -h / -? | Wyświetla dostępne parametry linii poleceń do konsoli.
--helpwriter | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Writer.
--helpcalc | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Calc.
--helpdraw | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Draw.
--helpimpress | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Impress.
--helpbase | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Base.
--helpbasic | Otwiera wbudowany lub dostępny online podręcznik pomocy języka skryptowego LibreOffice Basic.
--helpmath | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Math.
--version | Pokazuje wersję LibreOffice i kończy pracę.
--nstemporarydirectory | (tylko piaskownica macOS) Zwraca ścieżkę katalogu tymczasowego dla bieżącego użytkownika i kończy działanie. Zastępuje wszystkie inne argumenty.

### Ogólne argumenty

Parameter | Znaczenie
--- | ---
--quickstart[=no] | Aktywuje [dezaktywuje] usługę Szybkie uruchamianie. Może przyjąć tylko jeden parametr no, który dezaktywuje usługę Szybkie uruchamianie. Bez parametrów usługa zostanie włączona.
--nolockcheck | Wyłącza sprawdzania obecności zdalnych instancji w trakcie instalacji.
--infilter=InputFilterName [:InputFilterParam[,param]] | Wymusza typ filtra wejściowego, jeśli to możliwe. Na przykład: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Zobacz listę filtrów dokumentów do konwersji plików. Lista opcji filtrowania plików Lotus, dBase i Diff. Lista opcji filtrowania plików CSV. Lista opcji filtrowania plików PDF.
--pidfile={file} | Zapisz identyfikator PID procesu soffice.bin do {file}.
--display {display} | Ustawia zmienną środowiskową DISPLAYw systemach uniksowych na wartość {display}. Parametr ten obsługiwany jest tylko przez skrypt startowy oprogramowania LibreOffice w systemach uniksowych.

### Kontrola interfejsu programistycznego/użytkownika

Parameter | Znaczenie
--- | ---
--nologo | Wyłącza wyświetlanie ekranu powitalnego.
--minimized | Uruchamia program w postaci zminimalizowanej. Ekran powitalny nie jest wyświetlany.
--nodefault | Rozpoczęcie bez otwarcia okna.

--invisible

Uruchamia program w trybie niewidocznym.

Ekran powitalny i początkowe okno programu nie są wyświetlane. Oprogramowaniem LibreOffice można sterować przez interfejs API.

Jeśli oprogramowanie LibreOffice zostało uruchomione z tym parametrem, można zakończyć jego pracę tylko z poziomu Menedżera zadań (Windows) lub z użyciem polecenia kill (w systemach uniksowych).

Tego parametru nie można używać w połączeniu z parametrem -quickstart.

Więcej informacji można znaleźć w podręczniku programisty LibreOffice Developer's Guide.

--headless | Uruchamia aplikację w trybie bez ekranu, umożliwia korzystanie z programu bez pośrednictwa interfejsu użytkownika. Ten specjalny tryb może być wykorzystywany w przypadku, gdy aplikacja jest sterowana z poziomu zewnętrznego klienta przez interfejs API.
--norestore | Wyłącza funkcję ponownego uruchamiania programu i odzyskiwania plików po awarii.
--safe-mode | Uruchamia w trybie awaryjnym tj. uruchamia ze świeżym profilem użytkownika i pomaga przywrócić konfigurację, która uległa uszkodzeniu.
--accept={UNO} | Zawiadamia oprogramowanie LibreOffice, że po utworzeniu wątków "UNO Acceptor Thread" ma zostać zastosowany ciąg "UNO Accept String". UNO-URL jest ciągiem rodzaju uno:connection-type,params;protocol-name,params;ObjectName. Więcej informacji można znaleźć w podręczniku programisty LibreOffice Developer's Guide.
--unaccept={UNO-URL} | Zamyka akceptor utworzony przez polecenie --accept={UNO-URL}. Użycie polecenia --unaccept=all zamknie wszystkie akceptory.
--language={lang} | Używa określonego języka, jeśli język nie został jeszcze wybrany dla interfejsu użytkownika. Lang jest znacznikiem języka nadanym zgodnie z wytycznymi organizacji IETF.

### Argumenty programistów

Parameter | Znaczenie
--- | ---
--terminate_after_init | Wyjdź po zakończeniu inicjalizacji (bez załadowania dokumentów).

Użytkownicy systemów Unix i Linux mogą wywołać LibreOffice z tymi dodatkowymi parametrami w celu debugowania.

Parametr | Znaczenie
--- | ---
--record | Udoskonalony debugger.
--backtrace | Zwraca ślad całego stosu.
--strace | strace to diagnostyczne, debugujące i instruktażowe narzędzie przestrzeni użytkownika dla systemu Linux.
--valgrind | Automatycznie wykrywa szereg błędów związanych z zarządzaniem pamięcią i wykorzystaniem wątków oraz wykonuje szczegółowe profilowanie programu.

Opcji debugowania --record, --backtrace, --strace i --valgrind nie można używać razem. Proszę używać je jedną po drugiej.

### Argumenty tworzenia nowych dokumentów

Argumenty tworzą pusty dokument określonego rodzaju. Tylko jeden z nich może być używany w jednej linii poleceń. Jeśli nazwy plików zostały określone po argumencie, wtedy program próbuje otworzyć te pliki w określonym komponencie.

Parameter | Znaczenie
--- | ---
--writer | Uruchamia program Writer z pustym dokumentem.
--calc | Uruchamia program Calc z pustym dokumentem.
--draw | Uruchamia program Draw z pustym dokumentem.
--impress | Uruchamia program Impress z pustym dokumentem.
--math | Uruchamia program Math z pustym dokumentem.
--global | Uruchamia program z pustym dokumentem głównym.
--web | Uruchamia program z pustym dokumentem HTML.

### Argumenty otwierania pliku

Argumenty definiują, jak traktowane są następujące nazwy plików. Nowa operacja rozpoczyna się po argumencie i kończy się przy następnym argumencie. Domyślnym zachowaniem jest otwarcie dokumentów do edycji i tworzenie nowych dokumentów z ich szablonów.

Parameter | Znaczenie
--- | ---
-n | Traktuje następujące pliki jako szablony, z których powstają nowe dokumenty.
-o | Otwiera następujące pliki do edycji, niezależnie od tego, czy są szablonami czy nie.

--pt {Printername}

Drukuje następujące pliki na drukarce {Printername} i kończy pracę. Ekran powitalny nie jest wyświetlany.

Jeśli nazwa pliku zawiera spacje, musi zostać umieszczona w cudzysłowie.

Jeśli użyto wielokrotnie, to tylko ostatni parametr {Printername} jest brany pod uwagę w przypadku wszystkich dokumentów wszystkich uruchomionych argumentów --pt.

Ponadto argument --printer-name parametru --print-to-file przełącza interfejsy wraz z {Printername}.

-p | Drukuje następujące pliki do domyślnej drukarki, po czym pliki te są zamykane. Ekran powitalny nie pojawia się. Jeśli nazwa pliku zawiera spacje, musi zostać umieszczona w cudzysłowie.
--view | Otwiera następujące pliki w trybie przeglądarki (tylko do odczytu).
--show[=N] | Otwiera i rozpoczyna pokaz slajdów następujących dokumentów prezentacji natychmiast. Pliki są zamykane po pokazaniu. N w przykładzie odnosi się do numeru slajdu i, gdy jest podany, rozpoczynają się od tego slajdu.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

Jeśli --convert-to zostanie użyte więcej niż raz, obowiązuje ostatnia wartość OutputFileExtension[:OutputFilterName[:OutputFilterParams]]. Jeśli --outdir zostanie użyte więcej niż raz, skuteczna będzie tylko ostatnia wartość. W przypadku braku --outdir w wyniku zostanie użyty bieżący katalog roboczy. Na przykład:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

Zobacz listę filtrów dokumentów do konwersji plików.

Lista opcji filtrowania plików Lotus, dBase i Diff.

Lista opcji filtrowania plików CSV.

Lista opcji filtrowania plików PDF.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Grupuje pliki do wydruku w jeden plik. Jeśli nie podano parametru --outdir, jako folder wyjściowy używany jest bieżący katalog roboczy.

Jeśli --printer-name lub --outdir użyto wielokrotnie, to tylko ostatnia wartość każdego z parametrów jest brana pod uwagę. Ponadto {Printername} parametru --pt przełącza interfejsy wraz z --printer-name. Na przykład:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Stosuje filtr "txt:Text" do następujących dokumentów tekstowych i zrzuca zawartość tekstową do konsoli (implikuje --headless). Nie można użyć z --convert-to.
-env:VAR[=VALUE] | Ustaw zmienną bootstrap. Na przykład, aby ustawić inną niż domyślna ścieżkę profilu użytkownika: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignorowane przełączniki

Parameter | Znaczenie
--- | ---
-psn | Ignorowany (macOS only)
-Embedding | Ignorowany (powiązany z COM+; tylko Windows)
--nofirststartwizard | Nic nie zmienia, zaakceptowany tylko dla zachowania kompatybilności wstecznej.
--protector {arg1} {arg2} | Używane tylko w testach jednostkowych i powinny mieć dwa argumenty.